<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html;charset=utf-8" />
        <script type="text/javascript" src="${pageContext.request.contextPath}/jquery/jquery-1.6.2.js"></script>
        <script type="text/javascript" src="${pageContext.request.contextPath}/jquery/json2.js"></script>
        <script type="text/javascript" src="${pageContext.request.contextPath}/org/cometd.js"></script>
        <script type="text/javascript" src="${pageContext.request.contextPath}/jquery/jquery.cometd.js"></script>
        <script type="text/javascript" src="application.js"></script>
        <%--
        The reason to use a JSP is that it is very easy to obtain server-side configuration
        information (such as the contextPath) and pass it to the JavaScript environment on the client.
        --%>
        <script type="text/javascript">
            var config = {
                contextPath: '${pageContext.request.contextPath}'
            };
        
            var lastMessageSentUniqueId;
            var currentSlideNumber;
            var slide ;

            function setup() {
                slide = document.getElementById("slide");     
                cometd.subscribe('/slide/show', slideListener);
                cometd.publish('/slide/show', { uniqueId: '1234' , slideNumber:'5'});

            }

            function slideListener ( slideEvent) {
                var myObject = slideEvent.data;
                // only update the slide if the event was not the one this session sent itself
                if (lastMessageSentUniqueId != myObject.uniqueId) {
                    adjustSlide( myObject.slideNumber);
                }
            }


            function setSlide( slideNumber) {
                adjustSlide(slideNumber);
                uniqueId  = uniqid();
                lastMessageSentUniqueId = uniqueId;
                
                var json = { uniqueId: uniqueId, slideNumber:slideNumber};
                cometd.publish('/slide/show', json);
            }


            var defaultColor='black';
            var highlightColor = 'blue';
	
            function adjustSlide( slideNumber) {
                markSlideLink (currentSlideNumber, defaultColor);
                currentSlideNumber = slideNumber;	
                slide.src = "images/nature"+slideNumber+".jpg"; 
                markSlideLink (currentSlideNumber, highlightColor);
            }

            function markSlideLink (slideNumber, color) {
                var slideLink = document.getElementById("slide"+slideNumber);
                if (slideLink) {
                    var span = slideLink.childNodes[0];
                    span.style.color =color;
                }
            }


            function uniqid()
            {
                var newDate = new Date;
                return newDate.getTime();
            }
        </script>
    </head>
    <body>
        <div id="body">
            <img id="slide" src="images/nature1.jpg" />
            <ul>
                <li><a id="slide1" onclick="setSlide(1);"><span>Slide One</span></a></li>
                <li><a id="slide2" onclick="setSlide(2);"><span>Slide Two</span></a></li>
                <li><a id="slide3" onclick="setSlide(3);"><span>Slide Three</span></a></li>
                <li><a id="slide4" onclick="setSlide(4);"><span>Slide Four</span></a></li>
                <li><a id="slide5" onclick="setSlide(5);"><span>Slide Five</span></a></li>
            </ul>
        </div>
    </body>
</html>
